Bug 140793 - [RHEL4] e100 and e1000 drivers should return EINVAL when ethtool tries to set rx-mini or rx-jumbo
Summary: [RHEL4] e100 and e1000 drivers should return EINVAL when ethtool tries to set...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel   
(Show other bugs)
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Red Hat Kernel Manager
QA Contact: Martin Jenner
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-11-24 22:59 UTC by David Lehman
Modified: 2007-11-30 22:07 UTC (History)
5 users (show)

Fixed In Version: 4.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-19 19:49:41 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description David Lehman 2004-11-24 22:59:39 UTC
*** This bug has been split off bug 140790 ***

Description of problem:
Currently, ethtool calls to e100 or e1000 to set rx-mini or rx-jumbo appear to
succeed although nothing is actually done. This behavior can be misconstrued as
successful setting of the parameter(s). The drivers should be either add support
for setting these values or return EINVAL.

Version-Release number of selected component (if applicable):
kernel-2.6.9-1.648_EL

How reproducible:
Always

Steps to Reproduce:
1. run 'ethtool -G eth1 rx-mini 64' or 'ethtool -G eth1 rx-jumbo 64' on an e100
or e1000
2. check adapter's settings to verify the change was not made ('ethtool -g eth1')
3.
  
Actual results:
Nothing was changed as the rx-mini and rx-jumbo settings are ignored by the
drivers' ethtool handlers.

Expected results:
Either adjust the settings as requested or issue an error indicating lack of
support for the adjustment of given parameter.

Additional info:

Comment 3 Jesse Brandeburg 2006-06-01 22:48:40 UTC
FYI as of release 7.0.33 of the intel drivers this was merged.  7.0.33 arrived
upstream in 2.6.17-rc1.

git commit 0989aa431636ffb347314f0e2f367fdd16d7a57f

Comment 4 Jesse Brandeburg 2007-05-19 19:49:41 UTC
kernel 2.6.9-42

# ethtool -i eth1
driver: e1000
version: 7.0.33-k2-NAPI
firmware-version: N/A
bus-info: 0000:03:04.1

# ethtool -G eth1 rx-jumbo 128
Cannot set device ring parameters: Invalid argument

seems confirmed to me


Note You need to log in before you can comment on or make changes to this bug.